<?php

$addon = 'fe_utilities';
$subpage = rex_request('subpage', 'string', '');
$subsubpage = rex_request('subsubpage', 'string', '');

// layout top
include($REX['INCLUDE_PATH'] . '/layout/top.php');

// title and menu
rex_title($REX['ADDON']['name']['fe_utilities'] . ' <span class="version">' . $REX['ADDON']['version'][$addon] . '</span>', $REX['ADDON'][$addon]['SUBPAGES']);

/*
 * 
 */

if ($subpage != '') {
    
    $plugin = str_replace('plugin.', '', $subpage);

    // plugin headline
    echo '<h2 class="main plugin">' . rex_fe_plugin_factory::getPluginTitle($addon, $plugin) . '</h2>';
    
    /*
     * 
     */
    echo rex_fe_plugin_factory::printPluginSubPages($addon, $plugin, $subsubpage);
    /*
     * 
     */
    echo '<div class="fe_utilities">';

    if ($subsubpage != '') {
        
        // include plugin subpage
        include($REX['INCLUDE_PATH'] . '/addons/' . $addon . '/plugins/' . $plugin . '/pages/'.$subsubpage.'.inc.php');
        
    } else {
        // include plugin page
        include($REX['INCLUDE_PATH'] . '/addons/' . $addon . '/plugins/' . $plugin . '/pages/index.inc.php');
    }
} else {
    // show plugin list
    rex_fe_plugin_factory::printPluginList($addon, $I18N->msg('fe_utilities_available_plugins'), $I18N->msg('fe_utilities_no_plugins_installed'));
}
echo '</div>';
// layout bottom
include($REX['INCLUDE_PATH'] . '/layout/bottom.php');
?>
