<?php

include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/plugins/feu_beispiel/functions/functions.inc.php');

if ($REX['REDAXO']) { // only backend
	// register plugin
	rex_fe_plugin_factory::registerPlugin(
                'fe_utilities', // für Addon
                'feu_beispiel', //kennung des Plugins
                'Beispiel Plugin', // Name
                'Dient lediglich als Beispiel für eigene Plugins.', //Beschreibung
                '1.0.0', // Version
                'webghost', //Author
                'forum.redaxo.de',  //Supportseite
                true, /* $hasBackendPage , */
                array(
                    '' => 'Übersicht',
                    'settings' => 'Einstellungen',
                    'test' => 'test'
                )
                /* $permission = '' */ 
                );

    // show plugin description
    echo rex_fe_plugin_factory::getPluginDescription('fe_utilities', 'feu_beispiel');
    
    /*
     * auf diese weise wird der EP von Frontent Utilities genutzt um dateien im head einzubinden
     */
    if (rex_request('page') == 'fe_utilities') {
            rex_register_extension('FEU_BE_PAGE_HEADER', 'add_css_to_head');
    }
    
    /*
     * ein weiterer EP ist vorhanden um Inhalte in die Artikelunterseite "Artikelreiter" (mode) einzufügen
     */
    if (rex_request('mode') == 'fe_utilities'){
        rex_register_extension('FEU_PAGE_CONTENT', 'art_content_input');
    }
}

/*
 * hiermit sagen wir Frontend Utlities das wir die Artikelseite brauchen
 */
$REX['ADDON']['fe_utilities']['SETTINGS']['article_page'] = true;


