<?php

include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/plugins/feu_easy_tags/classes/class.easyTags1135.inc.php');
include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/plugins/feu_easy_tags/settings.dyn.inc.php');

if ($REX['REDAXO']) { // only backend
    // register plugin
    rex_fe_plugin_factory::registerPlugin(
            'fe_utilities', // für Addon
            'feu_easy_tags', //kennung des Plugins
            'easyTags', // Name
            'Ermöglicht es Tags zu nutzen ohne zusätzliche DB. Es wird '
            . 'entweder ein Meta-Infofeld genommen oder die SEO42 Keywords. '
            . 'Tag-Cloud und Zielseiten werden im Backend generiert und '
            . 'zwischengespeichert.', //Beschreibung
            '0.1.2', // Version
            'webghost', //Author
            'forum.redaxo.de', //Supportseite
            true, /* $hasBackendPage , */
            array(
                '' => 'Übersicht',
                'settings' => 'Einstellungen',
                'help' => 'Hilfe',
                'help2' => 'Beispiele'
            ), true
            /* $permission = '' */
    );

    // show plugin description
    echo rex_fe_plugin_factory::getPluginDescription('fe_utilities', 'feu_easy_tags');

    /*
     * auf diese weise wird der EP von Frontent Utilities genutzt um dateien im head einzubinden
     */
    if (rex_request('page') == 'fe_utilities') {
        #rex_register_extension('FEU_BE_PAGE_HEADER', 'add_css_to_head');
    }

    /*
     * ein weiterer EP ist vorhanden um Inhalte in die Artikelunterseite "Artikelreiter" (mode) einzufügen
     */
    if (rex_request('mode') == 'fe_utilities') {
        #rex_register_extension('FEU_PAGE_CONTENT', 'art_content_input');
    }

    if (rex_request('subsubpage') == 'mypage' && !file_exists($REX['INCLUDE_PATH'] . '/addons/fe_utilities/plugins/feu_easy_tags/pages/mypage.inc.php')) {
        echo '<p style="position:absolute;width:300px;top:0;left:0;background:#fff;z-index:1000000;padding:6px">Diese Seite ist gedacht für eigene Backend Funktionen. Dazu muss im Plugin im Order "pages" eine Datei namens "mypage.inc.php angelegt werden.</p>';
    }
    
    if ($REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['mypage'] === "1"){
        $REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['subsubpages']['mypage'] = 'Erweitert';
    }
}


/*
 * Settings fix
 */
//speicherpfad
$REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['cache_path'] = $REX['INCLUDE_PATH'] . "/addons/fe_utilities/generated/feu_easy_tags/";

