<?php
/**
 * 
 */
$basedir = dirname(__FILE__);
$page = rex_request('page', 'string');
$subpage = rex_request('subpage', 'string');
$func = rex_request('func', 'string');

$feu_easy_tags_seo42 = rex_request("feu_easy_tags_seo42", "string"); // 1 oder 0 string
$feu_easy_tags_metainfo = rex_request("feu_easy_tags_metainfo", "string");
$feu_easy_tags_tag_path = rex_request("feu_easy_tags_tag_path", "string");
$feu_easy_tags_tag_count = rex_request("feu_easy_tags_tag_count", "string");
$feu_easy_tags_mypage = rex_request("feu_easy_tags_mypage", "string");

$info = '';
$warning = '';

if ($func == 'update') {
    
    if ($feu_easy_tags_mypage == "1") {
        $mypage = "1";
    }else {
        $mypage = "0";
    }
    
    if (trim($feu_easy_tags_tag_count) != "") {
        $tag_count = trim($feu_easy_tags_tag_count);
    }else {
        $warning = "Bitte Anzahl Tags angeben";
    }
    
    if (trim($feu_easy_tags_tag_path) != "") {
        $tag_path = trim($feu_easy_tags_tag_path);
        $tag_path = '/' . ltrim($tag_path, '/');
    }else {
        $warning = "Bitte URL eintragen";
    }

    if ($feu_easy_tags_seo42 === "1") {

        $seo42 = true;
    } elseif ($feu_easy_tags_seo42 === "0") {

        $seo42 = false;
        #$metainfo = trim($feu_easy_tags_metainfo);

        if (trim($feu_easy_tags_metainfo) !== "") {

            $metainfo = trim($feu_easy_tags_metainfo);
        } else {
            $warning = "MetaInfo Feld darf nicht leer sein";
        }
    } else {
        $warning = "Bitte eine Auswahl treffen";
    }

    $content = '
$REX[\'ADDON\'][\'fe_utilities\'][\'SETTINGS\'][\'feu_easy_tags\'][\'seo42\'] = "' . $seo42 . '";
$REX[\'ADDON\'][\'fe_utilities\'][\'SETTINGS\'][\'feu_easy_tags\'][\'metainfo\'] = "' . $metainfo . '";
$REX[\'ADDON\'][\'fe_utilities\'][\'SETTINGS\'][\'feu_easy_tags\'][\'tag_path\'] = "' . $tag_path . '";
$REX[\'ADDON\'][\'fe_utilities\'][\'SETTINGS\'][\'feu_easy_tags\'][\'tag_count\'] = ' . $tag_count . ';
$REX[\'ADDON\'][\'fe_utilities\'][\'SETTINGS\'][\'feu_easy_tags\'][\'mypage\'] = "' . $mypage . '";
	';

    $config_file = $REX['INCLUDE_PATH'] . '/addons/fe_utilities/plugins/feu_easy_tags/settings.dyn.inc.php';

    if ($warning == '' && rex_replace_dynamic_contents($config_file, $content) !== false) {
        echo rex_info("gespeichert");
    } else {
        echo rex_warning("speichern fehlgeschlagen");
        echo rex_warning($warning);
    }
} else {
    $seo42 = $REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['seo42'];
    $metainfo = ltrim($REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['metainfo'], 'art_');
    $tag_path = $REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['tag_path'];
    $tag_count = $REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['tag_count'];
    $mypage = $REX['ADDON']['fe_utilities']['SETTINGS']['feu_easy_tags']['mypage'];
}

if ($seo42 === "1" || $feu_easy_tags_seo42 === "1") {
    $seo42checked = ' checked="checked"';
    $metainfochecked = '';
} else {
    $seo42checked = '';
    $metainfochecked = ' checked="checked"';
}
if ($mypage === "1" || $feu_easy_tags_mypage === "1") {
    $mypage_check = ' checked="checked"';
}
?>

<div class="rex-addon-output">
    <div class="rex-form">
        <form action="index.php" method="post">
            <input type="hidden" name="page" value="fe_utilities" />
            <input type="hidden" name="subpage" value="plugin.feu_easy_tags" />
            <input type="hidden" name="subsubpage" value="settings" />
            <input type="hidden" name="func" value="update" />

            <h2 class="rex-hl2">Einstellungen</h2>

            <fieldset class="rex-form-col-1">

                <div class="rex-form-wrapper">

                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-text">
                            <label for="feu_easy_tags_seo42">SEO42 Keywords verwenden</label>
                            <input class="rex-form-radio" type="radio" id="feu_easy_tags_seo42" name="feu_easy_tags_seo42" 
                                   value="1"<?php echo $seo42checked; ?> style="width:20px" />
                        </p>
                        <p class="rex-form-col-a rex-form-text">
                            <label for="feu_easy_tags_seo42">Oder Meta-Info Feld</label>
                            <input class="rex-form-radio" type="radio" id="feu_easy_tags_seo42" name="feu_easy_tags_seo42" 
                                   value="0"<?php echo $metainfochecked; ?> style="width:20px" />
                        </p>
                    </div>

                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-text">
                            <label for="feu_easy_tags_metainfo">Meta-Info Feld mit</label>
                            art_<input class="rex-form-text" type="text" id="feu_easy_tags_metainfo" name="feu_easy_tags_metainfo" 
                                       value="<?php echo $metainfo; ?>" style="width:250px" />
                        </p>
                    </div>
                    
                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-text">
                            <label for="feu_easy_tags_tag_path">URL zum Artikel der <br />Tags-Ergebnisse</label>
                            <?php echo rtrim($REX['SERVER'], '/'); ?> <input class="rex-form-text" type="text" id="feu_easy_tags_tag_path" name="feu_easy_tags_tag_path" 
                                       value="<?php echo $tag_path; ?>" style="width:250px" />
                        </p>
                    </div>
                    
                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-text">
                            <label for="feu_easy_tags_tag_count">Anzahl Tags in Cloud<br /></label>
                            <input class="rex-form-text" type="text" id="feu_easy_tags_tag_count" name="feu_easy_tags_tag_count" 
                                       value="<?php echo $tag_count; ?>" style="width:250px" />
                        </p>
                    </div>
                    
                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-text">
                            <label for="feu_easy_tags_mypage">Eigene Backendseite<br /></label>
                            <input class="rex-form-text" type="checkbox" id="feu_easy_tags_mypage" name="feu_easy_tags_mypage" 
                                       value="1" <?php echo $mypage_check; ?> style="width:20px" />
                        </p>
                    </div>

                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-submit">
                            <input type="submit" class="rex-form-submit" name="submit" value="Speichern" />
                        </p>
                    </div>

                </div>

            </fieldset>

        </form>
    </div>
</div>


