<?php

class rex_frontend_utilities {

    static function appendToPageHeader($params) {
        
        $search = "<!-- ###start EP FEU_BE_PAGE_HEADER ###-->";
        $replace = "<!-- ###start EP FEU_BE_PAGE_HEADER ###-->" . PHP_EOL
                . "<!-- BEGIN fe_utilities -->" . PHP_EOL
                . '<link rel="stylesheet" type="text/css" href="../files/addons/fe_utilities/fe_utilities.css" />' . PHP_EOL
                . "<!-- END fe_utilities -->"
                ;
        
        $params['subject'] = str_ireplace($search, $replace, $params['subject']);

        return $params['subject'];
    }

    static function appendToBackendHead($params) {
        global $REX;

        #include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/extensions/backend-head.inc.php');
        #$insert = "test";
        
$content = "
<!-- ###start EP FEU_BE_PAGE_HEADER ###-->
<!-- ###end EP FEU_BE_PAGE_HEADER ###-->
";

        $content = rex_register_extension_point( 'FEU_BE_PAGE_HEADER', $content, $params);

        echo $content;
        
        #return $params['subject'];
    }

    static function appendToArtPageMenu($params) {
        global $REX;
        
        $linkname = feu_check_setting('art_page_menu_name');//name aus settings

        if ($params['mode'] == 'fe_utilities') {
            $class = 'class="rex-active"';
        }else{
            $class = 'class=""';
        }
        
        /*
         * später eventuell dropdown für link einrichten um nur den gewünschten
         * Inhalt zu zeigen und nicht alles untereinander.
         */
        $link = '<a ' . $class . 'href="index.php?page=content&amp;article_id=' . $params['article_id'] .
                '&amp;mode=fe_utilities&amp;clang=' . $params['clang'] . '&amp;ctype=' .
                rex_request('ctype') . '">'.$linkname.'</a>';
        array_splice($params['subject'], '1', '0', $link);

        if ($REX['ADDON']['fe_utilities']['SETTINGS']['article_page'] === true)
        return $params['subject'];
    }

    static function appendToArtPageContent($params) {
        global $REX;

        if ($params['mode'] == 'fe_utilities') {
            #include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/extensions/art-page-content.inc.php');
            
            $insert = "<!-- ***** -->\n".$params['subject'];
            
echo "
<!-- ###start EP FEU_PAGE_CONTENT start###-->
<h2 class=\"feu_page_title\">Frontent Utilities</h2>
<div class=\"feu_page_content\">
";

$endcontent = "
</div>
<!-- ###end EP FEU_PAGE_CONTENT end###-->
";

            $content = rex_register_extension_point( 'FEU_PAGE_CONTENT', $insert, $params);

            echo $content.$endcontent;
            
        }
    }

}

