<?php

if ($REX['REDAXO']) {
    // register addon
    $REX['ADDON']['name']['fe_utilities'] = 'Frontend Utilities';
    $REX['ADDON']['perm']['fe_utilities'] = 'fe_utilities[]';
    $REX['ADDON']['version']['fe_utilities'] = '1.0.0';
    $REX['ADDON']['author']['fe_utilities'] = "WebDevOne mod by webghost";
    $REX['ADDON']['supportpage']['fe_utilities'] = 'forum.redaxo.de';
    $REX['PERM'][] = 'fe_utilities[]';

    // add lang file
    $I18N->appendFile($REX['INCLUDE_PATH'] . '/addons/fe_utilities/lang/');

    // sub pages
    $REX['ADDON']['fe_utilities']['SUBPAGES'] = array();
    $REX['ADDON']['fe_utilities']['SUBPAGES'][] = array('', $I18N->msg('fe_utilities_overview'));

    // includes
    include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/classes/class.rex_fe_plugin_factory.inc.php');
    include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/classes/class.rex_fe_utilities.inc.php');
    include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/functions/functions.inc.php');
    include($REX['INCLUDE_PATH'] . '/addons/fe_utilities/settings.php');


    
    
    /************************
     * EXTENSION POINTS FIX *
     ************************/
    
    if (feu_check_setting('backend_head') !== false) {
        //EP für css/js im Head
        rex_register_extension('PAGE_HEADER', 'rex_frontend_utilities::appendToBackendHead');
	// add css/js files to page header
	if (rex_request('page') == 'fe_utilities' || rex_request('mode') == 'fe_utilities') {
		rex_register_extension('FEU_BE_PAGE_HEADER', 'rex_frontend_utilities::appendToPageHeader');
	}
    }
    
    if (feu_check_setting('art_page_content') !== false) {
        //link für mode einfügen - reiter  erweitern - neben editieren und metainfos
        rex_register_extension('PAGE_CONTENT_MENU', 'rex_frontend_utilities::appendToArtPageMenu');
        //dazu die Seite die aufgerufen wird
        rex_register_extension('PAGE_CONTENT_OUTPUT', 'rex_frontend_utilities::appendToArtPageContent');
    }
    

    
}

/*
 * plugins geplant:
 * 
 * - kommentare
 * - tags
 * - short-url
 * - socialmedia-links
 * 
 */