<?php
/**
 * 
 */
$basedir = dirname(__FILE__);
$page = rex_request('page', 'string');
$subpage = rex_request('subpage', 'string');
$func = rex_request('func', 'string');

$feu_easy_tags_seo42 = rex_request("feu_easy_tags_seo42", "string"); // 1 oder 0 string
$feu_easy_tags_metainfo = rex_request("feu_easy_tags_metainfo", "string");
$feu_easy_tags_tag_path = rex_request("feu_easy_tags_tag_path", "string");
$feu_easy_tags_tag_count = rex_request("feu_easy_tags_tag_count", "string");

$info = '';
$warning = '';

?>

<div class="rex-addon-output">

    <h2 class="rex-hl2">Ausgabe generieren</h2>

    <div class="rex-form" style="display: table-cell;width: 33.33%;border-right: 1px solid #aaa;margin-left: -2px">
        <form action="index.php" method="post">
            <input type="hidden" name="page" value="fe_utilities" />
            <input type="hidden" name="subpage" value="plugin.feu_easy_tags" />
            <input type="hidden" name="subsubpage" value="" />
            <input type="hidden" name="func" value="array" />
            <fieldset class="rex-form-col-1">
                <legend>Cache erneuern</legend>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-submit">
                            <input type="submit" class="rex-form-submit" name="submit" value="generieren" />
                        </p>
                    </div>
                </div>
            </fieldset>
            <p style="padding: 6px;margin: 0">Erneuert den Cache und speichert die Array's für die Ausgabe.</p>
        </form>
    </div>

    <div class="rex-form" style="display: table-cell;width: 33.33%;border-right: 1px solid #aaa;margin-left: -0px">
        <form action="index.php" method="post">
            <input type="hidden" name="page" value="fe_utilities" />
            <input type="hidden" name="subpage" value="plugin.feu_easy_tags" />
            <input type="hidden" name="subsubpage" value="" />
            <input type="hidden" name="func" value="cloud" />
            <fieldset class="rex-form-col-1">
                <legend>TagCloud erneuern</legend>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-submit">
                            <input type="submit" class="rex-form-submit" name="submit" value="generieren" />
                        </p>
                    </div>
                </div>
            </fieldset>
            <p style="padding: 6px;margin: 0">Erstellt die vorgefertigte Cloud neu.</p>
        </form>
    </div>

    <div class="rex-form" style="display: table-cell;width: 33.33%">
        <form action="index.php" method="post">
            <input type="hidden" name="page" value="fe_utilities" />
            <input type="hidden" name="subpage" value="plugin.feu_easy_tags" />
            <input type="hidden" name="subsubpage" value="" />
            <input type="hidden" name="func" value="lists" />
            <fieldset class="rex-form-col-1">
                <legend>Artikel-Listen erneuern</legend>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                        <p class="rex-form-col-a rex-form-submit">
                            <input type="submit" class="rex-form-submit" name="submit" value="generieren" />
                        </p>
                    </div>
                </div>
            </fieldset>
            <p style="padding: 6px;margin: 0">Erstellt die vorgefertigten Artikel-Listen neu.</p>
        </form>
    </div>

</div>

<div style="clear: both;font-size: 120%;width: 100%">

    <?php
    if ($func == 'array') {

        $tags = new easyTags1135();
        $tags->start_time();

        if ($tags->create_cache() !== false) {

            echo '<h6>Folgendes wurde gespeichert</h6><br />';
            echo '<pre style="display:table-cell;width:33.33%">';
            print_r($tags->getTagMap());
            echo '</pre>';
            echo '<pre style="display:table-cell;width:33.33%">';
            print_r($tags->getTagList());
            echo '</pre>';
            echo '<pre style="display:table-cell;width:33.33%">';
            print_r($tags->getTagArts());
            echo '</pre>';
            
            echo '<br />Generiert in ' . $tags->stop_time() . ' Sekunden';
        } else {
            $ausgabe = '<div class="rex-warning">' . $tags->create_cache() . '</div>';
        }
    }

    if ($func == 'cloud') {

        $tags = new easyTags1135();
        $tags->start_time();

        if ($tags->make_tag_cloud() !== false) {

            echo '<h6>Folgendes wurde gespeichert</h6><br />';
            echo '<pre>';
            print(htmlspecialchars($tags->getTagCloud()));
            echo '</pre>';
            
            echo '<br />Erstellt in ' . $tags->stop_time() . ' Sekunden';
        } else {
            $ausgabe = '<div class="rex-warning">' . $tags->make_tag_cloud() . '</div>';
        }
    }

    if ($func == 'lists') {

        $tags = new easyTags1135();
        $tags->start_time();

        if ($tags->make_tag_list() !== false) {

            echo '<h6>Folgendes wurde gespeichert</h6><br />';
            echo '<pre>';
            
            foreach ($tags->getTagMap() as $key => $value) {
                
                print(htmlspecialchars($tags->getTagListSite($key)));
            }
            
            echo '</pre>';
            
            echo '<br />Erstellt in ' . $tags->stop_time() . ' Sekunden';
        } else {
            $ausgabe = '<div class="rex-warning">' . $tags->make_tag_list() . '</div>';
        }
    }
    ?>

</div>
